#! /bin/sh
#========================================================================
# grgdif
# calculates the days difference between two dates and reports
# the number days as grg1 - grg2
# usage grgdif grg1 grg2
# or    echo grg1 grg2 | grgdif
# where gregorian date is in the form yyyymmdd
#
# Author: Mo Budlong <mo.budlong@sunworld.com>
#
# Source: SunWorld Online UNIX 101 columns:
#	http://www.sunworld.com/sunworldonline/swol-11-1998/swol-11-unix101.html
#	http://www.sunworld.com/sunworldonline/swol-02f-1999/swol-11-unix101.html
#	http://www.sunworld.com/swol-12-1998/swol-12-unix101.html?1201a
#	http://www.sunworld.com/swol-02-1999/swol-02-unix101.html?0202a
#
# [06-Feb-1999]
#========================================================================

usage () {
	echo "Usage:"
	echo "	grgdif grg1 grg2"
	echo "or"
	echo "  echo grg1 grg2 | grgdif"
	echo ""
	echo " Calculate day difference between"
	echo " two gregorian dates (grg1 - grg2)"
	echo " where a gregorian date is in the form of yyyymmdd."
}

if [ $# -eq 0 ]
then
	read grg1 grg2
elif [ $# -eq 2 ]
then
	grg1=$1
	grg2=$2
else
	usage
	exit
fi

# convert each date to julian
jul1=`ymd2yd $grg1`
jul2=`ymd2yd $grg2`

# calculate the answer using juldif
res=`juldif $jul1 $jul2`

# and output the results
echo $res
